## org.eclipse.emf.ecore.xml.type
Interface ProcessingInstruction

All Superinterfaces:
  EObject, Notifier

All Known Implementing Classes:
  ProcessingInstructionImpl

    public interface ProcessingInstruction

extends EObject

A representation of the model object 'Processing Instruction Type'.

The following features are supported:

- `Data`
- `Target`

See Also:
  `XMLTypePackage.getProcessingInstruction()`

Method Summary
`java.lang.String` `getData()` Returns the value of the 'Data' attribute
`java.lang.String` `getTarget()` Returns the value of the 'Target' attribute
`void` `setData(java.lang.String value)` Sets the value of the '`Data`' attribute
`void` `setTarget(java.lang.String value)` Sets the value of the '`Target`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getData

    java.lang.String getData()

  Returns the value of the 'Data' attribute.

  It represents all the data that follows the target of the processing instruction.

  Returns:
    the value of the 'Data' attribute.
  See Also:
    `setData(String)`, `XMLTypePackage.getProcessingInstruction_Data()`

### setData

    void setData(java.lang.String value)

  Sets the value of the '`Data`' attribute.

  Parameters:
    `value` - the new value of the 'Data' attribute.
  See Also:
    `getData()`

### getTarget

    java.lang.String getTarget()

  Returns the value of the 'Target' attribute.

  It represents the specific target name at the start of the processing instruction.

  Returns:
    the value of the 'Target' attribute.
  See Also:
    `setTarget(String)`, `XMLTypePackage.getProcessingInstruction_Target()`

### setTarget

    void setTarget(java.lang.String value)

  Sets the value of the '`Target`' attribute.

  Parameters:
    `value` - the new value of the 'Target' attribute.
  See Also:
    `getTarget()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.